Error codes
What are the HTTP error codes for the API?
General error codes
Below a list of all the different error codes for the API per VERB
General
General error codes regarding the API
NL: Algemene foutmeldingen
| Reason | HTTP code | Error message |
|---|---|---|
| Internal error, create Jira Issue | 500 | Internal server error |
| Query parameter provided more than once | 400 | Invalid request, query parameter is provided more than once: ... |
| Query parameter not supported | 400 | Invalid request, query parameter is not supported: ... |
| Endpoint does not exist (spelling) | 400 | Invalid endpoint: ... |
| Method not supported | 400 | Method: ... not supported for endpoint: ... |
POST
NL: Toevoegen van 1 item
| Reason | HTTP code | Error message |
|---|---|---|
| Request body empty | 400 | Empty body |
| Request body invalid | 400 | Body is not valid JSON |
| Field not in model | 403 | Field: .... not found in model |
| Readonly field | 403 | Field: .... is readonly do not supply in request |
| Required field | 403 | Field: .... is required and not supplied in request |
| Primary ID field supplied | 403 | Field: .... is primary ID do not supply in request |
| Related ID not found | 404 | Field: .... value: .... ID not found |
| Required element | 403 | Field: ... minimum 1 element is required in array |
| Field value length too long for datatype varchar | 403 | Field: .... valuelength: .... too long for datatype: varchar: .... |
| Field value length too long for datatype text | 403 | Field: .... valuelength: .... too long for datatype: text: .... |
| Field value has a wrong format for datatype timestamp | 403 | Field: .... has an invalid value: .... for datatype: timestamp(ISO 8601) |
| Field value is invalid for datatype float 8 | 403 | Field: .... has an invalid value: .... for datatype: float8 |
| Field value is invalid for datatype int4 | 403 | Field: .... has an invalid value: .... for datatype: int4 |
| Field value is invalid for datatype varchar | 403 | Field: .... has an invalid value: .... for datatype: varchar |
| Field value is invalid for datatype bytea | 403 | Field: .... has an invalid value: .... for datatype: bytea |
| Duplicate Unique value | 409 | Field: .... value: .... has a duplicate illegal value |
| Field not valid according to custom_validation | 403 | Field: ... has an invalid value: ... for validation: ... |
| Field date must be after date of other field | 403 | Field: .... value: .... date must be after Field: ... value: ... |
GET (Single record)
NL: Ophalen van 1 item
| Reason | HTTP code | Error message |
|---|---|---|
| Field not in model | 403 | Field: .... not found in model |
| Primary ID field invalid | 403 | Primary ID is invalid |
| Primary ID field not found | 404 | Field: .... value: .... not found |
| No Primary ID provided | 400 | These parameter(s): ... , ... are required |
PUT
NL: Updaten van 1 item
| Reason | HTTP code | Error message |
|---|---|---|
| Request body empty | 400 | Empty body |
| Request body invalid | 400 | Body is not valid JSON |
| Primary ID is not an valid ID | 400 | Primary ID is not an valid ID |
| No Primary ID provided | 403 | No Primary ID provided |
| Field not in model | 403 | Field: .... not found in model |
| Readonly field | 403 | Field: .... is readonly do not supply in request |
| Required field | 403 | Field: .... is required and not supplied in request |
| Required field is empty | 403 | Field: .... is required and cannot be empty |
| Related ID not found | 404 | Field: .... value: .... ID not found |
| Required element | 403 | Field: ... minimum 1 element is required in array |
| Primairy id field not found in data | 404 | Field: .... value: .... not found |
| Field value length too long for datatype varchar | 403 | Field: .... valuelength: .... too long for datatype: varchar: .... |
| Field value length too long for datatype text | 403 | Field: .... valuelength: .... too long for datatype: text: .... |
| Field value has a wrong format for datatype timestamp | 403 | Field: .... has an invalid value: .... for datatype: timestamp(ISO 8601) |
| Field value is invalid for datatype float 8 | 403 | Field: .... has an invalid value: .... for datatype: float8 |
| Field value is invalid for datatype int4 | 403 | Field: .... has an invalid value: .... for datatype: int4 |
| Field value is invalid for datatype varchar | 403 | Field: .... has an invalid value: .... for datatype: varchar |
| Field not valid according to custom_validation | 403 | Field: .... has an invalid value: .... for validation: .... |
| Duplicate Unique value | 409 | Field: .... Value: .... has a duplicate illegal value |
| System record | 409 | This is a system record, fields cannot be changed |
| Blocked record | 409 | This is a blocked record, fields cannot be changed, only update: is_blocked |
| Archived record | 409 | This is an archived record, fields cannot be changed, only update: is_archived |
| Field value cannot be updated | 409 | Cannot update .... |
GET (multiple records)
NL: Opvragen van meerdere items
| Reason | HTTP code | Error message |
|---|---|---|
| No required parameters | 400 | These parameter(s): ... , ... are required |
| Field not in model | 403 | Field: .... not found in model |
| Query parameter not supported | 400 | Invalid request, query parameter is not supported: ... |
| Parameter Page must be greater than 0 | 400 | Parameter invalid page value must be greater than 0 |
DELETE
NL: Verwijderen van 1 item
| Reason | HTTP code | Error message |
|---|---|---|
| Primary ID is not an valid ID | 400 | Primary ID is not an valid ID |
| No Primary ID provided | 403 | No Primary ID provided |
| Primary id field not found in data | 404 | Field: .... value: .... not found |
| Related ID in use at ... | 406 | Field: .... in use at: .... |
| Record is a system record, cannot be deleted | 409 | This is a system-record, record cannot be deleted |
Specific error messages per endpoint
| Reason | HTTP code | Error message |
|---|---|---|
| GET /authenticate | ||
| Not logged in | 401 | Not authorized |
| Logged out, token is invalid | 401 | Not authorized |
| external user can not login to autoflex_cloud and new app | 403 | An external user cannot login, contact the autoflex servicedesk |
| Gebruiker heeft geen emailadres | 400 | Geen emailadres bekend voor userid ' + bodyObject'userid' |
| Gebruiker heeft een ongelding emailadres | 403 | Field: emailaddress value: .... not valid |
| GET /authenticate/acces | ||
| Not logged in | 401 | Not authorized |
| Logged out, token is invalid | 401 | Not authorized |
| GET /authenticate/component | ||
| Not logged in | 401 | Not authorized |
| Logged out, token is invalid | 401 | Not authorized |
| GET /authenticate/logout | ||
| Not logged in | 401 | Not authorized |
| Logged out, token is invalid | 200 | Not authorized |
| GET /authenticate/modules | ||
| Not logged in | 401 | Not authorized |
| Logged out, token is invalid | 401 | Not authorized |
| GET /authenticate/fingerprint | ||
| Not logged in | 401 | Missing authorization |
| Logged out, token is invalid | 401 | Not authorized |
| POST /authenticate/forgotpassword | ||
| Not logged in | 401 | Token invalid |
| Logged out, token is invalid | 401 | Token invalid |
| GET /document/info | ||
| Document not available | 403 | No external document found |
| POST/PUT/DELETE /orderline | ||
| Record can not be updated, because of status parent | 409 | ... is ..., cannot add/update/delete |
| POST/PUT/DELETE /order | ||
| Record can not be updated, because of status | 409 | ... is ..., cannot add/update/delete |
| GET /contact/checkaddress | ||
| Postcode not in format 1234 AB | 403 | Field: .... has an invalid value: .... for validation: .... |
| Postcode empty, CountryId empty | 403 | Field: ... is required and not supplied in request |
| Huisnummer is no number | 403 | Field: .... has an invalid value: .... for datatype: int4 |
| Length larger than 10 for fields: Postcode, Huisnummer, toevoeging | 403 | Field: ... valuelength: ... too long for type ... (...) |
| Country id no valid value custumvalidation | 403 | Field: .... has an invalid value: .... for validation: .... |
| POST /vehicleroleline | ||
| One vehicle can only have one owner | 403 | Vehicleroleline is invalid a Vehicle can only have one owner |
| POST /contactcommunication | ||
| is_prefered_email meer dan 1 keer voor type email | 409 | Field: is_prefered_email value: 1 has a duplicate illegal value |
| is_prefered_email heeft waarde 1 voor niet type email (=4) | 409 | Field: is_prefered_email value: 1 is not alowed |
| DELETE /vehicle | ||
| Published vehicle cannot be deleted, stop publishing first | 403 | Vehicle with id: ... has publish status: published delete not allowed |
| PUT /vehicle | ||
| Required field license_plate updaten via formatlicenseplate | 409 | The change of the licenseplate is not allowed via put, use /updatelicenseplate. |
| GET /empoyee/email | ||
| No username in the request | 406 | Value username missing. |
| PUT /vehicle/publishstart | ||
| Not all required fields are filled in | 403 | Field: tax_kind value: null is required vehicle not published |
| Vehicle site is nog filled in | 403 | Vehicleadvertisementsite is required, vehicle not published |
| GET /vehicle/publishstart | ||
| Not all required fields are filled in | 403 | Field: tax_kind value: null is required vehicle not published |
| Vehicle site is nog filled in | 403 | Vehicleadvertisementsite is required, vehicle not published |
| POST/PUT /flatrateline | ||
| article_id + quantity gevuld en geen turnovergroup_id gevuld | 403 | Field: turnover_group_id is required and not supplied in request |
| article_id gevuld en is_manual_input = 1 | 403 | Field: is_manual_input has an invalid value 1 |
| is_no_article_price = 1 en geen article_id gevuld | 403 | Field: is_no_article_price has an invalid value 1 |
| is_no_article_price = 1 en geen price of price = 0 | 403 | Field: price is required and not supplied in request |
| article_number gevuld zonder is_manual_input en zonder article_id | 403 | Field: article_id is required and not supplied in request |
| article_numer en article_id gevuld en is_manual_input = 1 | 403 | Field: is_manual_input has an invalid value 1 |
| sort_order verkeerde waarde (bestaat al) | 403 | Field: sort_order has an invalid value ... |
| article_id gevuld en geen article_number gevuld | 403 | Field: article_number is required and not supplied in request |
| article_number gevuld maar hoort niet bij article_id | 403 | Field: article_number has an invalid value ... |
| unit_type is gevuld, article_kind niet | 403 | Field: article_kind is required and not supplied in request |
| article_kind is gevuld unit_type niet | 403 | Field: unit_type is required and not supplied in request |
| GET model/{name} | ||
| Response body invalid | 400 | Body is not valid JSON |